Bug 436244 - lvm2 build failure with latest header files
lvm2 build failure with latest header files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: Christine Caulfield
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2008-03-05 21:43 EST by Doug Chapman
Modified: 2009-07-15 04:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:27:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
include limits.h to filx build error (400 bytes, patch)
2008-03-05 21:43 EST, Doug Chapman
no flags Details | Diff

  None (edit)
Description Doug Chapman 2008-03-05 21:43:20 EST
Description of problem:
With the most recent kernel header files lvm2 build fails with:

clvmd.c:450: error: ‘PIPE_BUF’ undeclared (first use in this function)

to fix this limits.h must be included.  I ran into this on ia64 but I imagine
other arches will see the same issue when they rebuild.


Version-Release number of selected component (if applicable):
lvm2-2.02.33-10.fc9


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Doug Chapman 2008-03-05 21:43:20 EST
Created attachment 296985 [details]
include limits.h to filx build error
Comment 2 Christine Caulfield 2008-03-06 03:41:29 EST
Checking in WHATS_NEW;
/cvs/lvm2/LVM2/WHATS_NEW,v  <--  WHATS_NEW
new revision: 1.800; previous revision: 1.799
done
Checking in daemons/clvmd/clvmd.c;
/cvs/lvm2/LVM2/daemons/clvmd/clvmd.c,v  <--  clvmd.c
new revision: 1.43; previous revision: 1.42
done
Checking in daemons/clvmd/refresh_clvmd.c;
/cvs/lvm2/LVM2/daemons/clvmd/refresh_clvmd.c,v  <--  refresh_clvmd.c
new revision: 1.5; previous revision: 1.4
done
Comment 3 Bug Zapper 2008-05-14 01:48:33 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:41:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-15 04:27:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.